Subject: AIList Digest V5 #136

From: [email-masked]@vtcs1
Date: Wed, 3 Jun 87 03:22:48 edt

Date: Mon  1 Jun 1987 20:31-PDT
From: AIList Moderator Kenneth Laws <[email-masked]>
Subject: AIList Digest   V5 #136
To: [email-masked]
Reply-to: [email-masked]
US-Mail: SRI Int., 333 Ravenswood Ave., Menlo Park, CA  94025
Phone: (415) 859-6467

AIList Digest            Tuesday, 2 Jun 1987      Volume 5 : Issue 136

Today's Topics:
  Bibliography - Leff ai.bib50TR

----------------------------------------------------------------------

Date: Sun, 31 May 1987 14:56 CST
From: Leff (Southern Methodist University)
      <[email-masked]>
Subject: ai.bib50TR

%A Ganesh C. Gopalakrishnan
%A Mandayam K. Srivas
%A David R. Smith
%T Hierarchical Design of VLSI Systems Using Algebraic Specifications and
Temporal Logic: On Automatic Synthesis of Controllers for VLSI Modules
>From Their Functional Specifications
%I Department of Computer Science, SUNY at Stony Brook
%D Jan 1986
%K AA04 AI11
%R TR 86/01

%A Sanjay Manchanda
%A Suzanne Dietrich
%T Storing and Accessing Relations on Disk in a Prolog Database System
%I Department of Computer Science, SUNY at Stony Brook
%D JAN 1986
%R TR 86/08
%K AA09 T02

%A Michael Kifer
%A R. Lozinskii
%T Framework for an Efficient Implementation of Deductive Databases
%I Department of Computer Science, SUNY at Stony Brook
%D FEB 1986
%R TR 86/04
%K AA09

%A Saumya K. Debray
%T Mode Inference and Abstract Interpretation in Logic Programs
%I Department of Computer Science, SUNY at Stony Brook
%D FEB 1986
%R TR 86/05
%K AI11

%A Michael Kifer
%A E. Lozinskii
%T Can We Implement Logic as a Database System
%I Department of Computer Science, SUNY at Stony Brook
%D FEB 1986
%R TR 86/06
%K AI11 AA09

%A Ganesh C. Goplakrishnan
%A David Smith
%A Mandayam K. Srivas
%T From Algebraic Specifications to Correct VLSI Circuits
%I Department of Computer Science, SUNY at Stony Brook
%D  JUN 1986
%R 86/13
%K AA04

%A Saumya K. Debray
%A Prateek Mishra
%T Denotational and Operational Semantics for Prolog
%I Department of Computer Science, SUNY at Stony Brook
%D JUL 1986
%R 86/15
%K T02 AA08

%A Sanjay Manchanda
%A David Scott Warren
%T Toward a Logical Theory of Database Updates
%I Department of Computer Science, SUNY at Stony Brook
%D JUL 1986
%R 86/19
%K AI11 AA09

%A R. Ramesh
%A R. M. Verma
%A T. Krishnaprasad
%A I. V. Ramakrishnan
%T Term Matching on Parallel Computer
%I Department of Computer Science, SUNY at Stony Brook
%D AUG 1986
%R 86/20
%K AI11 H03

%A Sanjay Manchanda
%A Soumitra Sengupta
%A David Scott Warren
%T Concurrent Updates in a Prolog Database Systems
%I Department of Computer Science, SUNY at Stony Brook
%D Dec 1986
%R 86/28
%K AA09 T02

%A Jieh Hsiang
%A Michael Rusinowitch
%T ON Word Problems in Equational Theories
%I Department of Computer Science, SUNY at Stony Brook
%D DEC 1986
%R 86/29
%K AI14

%A Anita Wasilewska
%T Definable Sets in Knowledge Representation Systems
%I Department of Computer Science, SUNY at Stony Brook
%D DEC 1986
%R 86/31
%K AI16

%A Anita Wasilewski
%T On Automatic Learning
%I Department of Computer Science, SUNY at Stony Brook
%D DEC 1986
%R 86/34
%K AI04

%A Chilukuri K. Mohan
%A Mandayam K. Srivas
%A Deepak Kapurm
%T On Proofs in System of Equations and Inequations
%I Department of Computer Science, SUNY at Stony Brook
%D JAN 1987
%R 87/02
%K AI14

%A Alexander Waibel
%T Prosody and Speech Recognition (Thesis)
%I Carnegie Mellon Computer Sciences
%R CMU-CS-86-162
%D 1986
%K AI05

%A Maurice P. Herlihy
%A Jeannette M. Wing
%T Axioms for Concurrent Objects
%I Carnegie Mellon Computer Sciences
%R CMU-CS-86-154
%D 1986
%K AA08

%A Michael C. Browne
%T An Improved Algorithm for the Automatic Verification of Finite
State Systems Using Temporal Logic
%I Carnegie Mellon Computer Sciences
%R CMU-CS-86-156
%D 1986
%K AA08

%A Andrew W. Appel
%A Guy J. Jacobson
%T The World's Fastest Scrabble Program
%I Carnegie Mellon Computer Sciences
%D 1986
%R CMU-CS-86-153
%K AA17 AI03

%A H. T. Kung
%A Jon A. Webb
%T Mapping Image Processing Operations onto a Linear Systolic Machine
%I Carnegie Mellon Computer Sciences
%D 1986
%R CMU-CS-86-137
%K H03 AI06 Warp FFT Hough Transform connected component labeling relaxation

%A Katsushi Ikeuchi
%T Generating an Interpretation Tree From a CAD Model to Represent
Object Configurations for Bin-Picking Trees
%I Carnegie Mellon Computer Sciences
%D 1986
%R CMU-CS-86-144
%K AI07 AA26

%A P. Helman
%A R. Veroff
%T Designing Deductive Databases
%I University of New Mexico Computer Sciences
%D 1986
%R CS86-5
%K AA09

%A James R. Slagle
%A Michael R. Wick
%A Marius O. Poliac
%T Agness: A Generalized Network-Based Expert System Shell
%I University of Minnesota, Computer Science Department
%R CSci TR86-48
%D 1986
%K T03

%A Valdis Berzins
%A Jeff Petty
%T The DB Lisp Code Analyzer
%I University of Minnesota, Computer Science Department
%R CSci TR 86-56
%D 1986
%K T01

%A Jik H. Chang
%A Oscar H. Ibarra
%A Ting-Chuen Pong
%A Stephen M. Sohn
%T Two-Dimensional Convolution on a Pyramid Computer
%I University of Minnesota, Computer Science Department
%R CSci TR87-1
%D 1987
%K AI06 H03

%A Ting-Chuen Pong
%T Matching Topographic Structures in Stereo Vision
%I University of Minnesota, Computer Science Department
%R CSci TR87-2
%D 1987
%K AI06

%T Recent Developments in NIKL
%A Thomas Kaczmarek
%A Raymond Bates
%A Gabriel Robins
%R ISI/RS-86-167
%I USC/Information Sciences Institute
%D November 1986
%K AI16
%X
NIKL (a New Implementation of KL-ONE) is one of the members of the KL-ONE
family of knowledge representation languages.  NIKL has been in use for
several years and our experiences have led us to define and implement various
extensions to the language, its support environment and the implementation.
Our experiences are particular to the use of NIKL.  However, the requirements
that we have discovered are relevant to any intelligent system that must
reason about terminology.  This article reports on the extensions that we have
found necessary based on experiences in several different testbeds.  The
motivations for the extensions and future plans are also presented.

%T A Logical-Form and Knowledge-Base Design for Natural Language Generation
%A Norman Sondheimer
%A Bernhard Nebel
%R ISI/RS-86-169
%D November 1986
%I USC/Information Sciences Institute
%K AI02
%X This paper presents a technique for interpreting output demands by a natural
language sentence generator in a formally transparent and efficient way.
These demands are stated in a logical language.  A network knowledge base
organizes the concepts of the application domain into categories known to the
generator.  The logical expressions are interpreted by the generator using the
knowledge base and a restricted, but efficient, hybrid knowledge
representation system.  The success of this experiment has led to plans for
the inclusion of this design in both the evolving Penman natural language
generator and the Janus natural language interface.

%T Rhetorical Structure Theory:
Descripton and Construction of Text
%A William C. Mann
%A Sandra Thompson
%R ISI/RS-86-174
%I USC/Information Sciences Institute
%D October 1986
%X Rhetorical Structure Theory (RST) is a theory of text structure that is
being extended to serve as a theoretical basis for computational text
planning.  Text structure in RST are hierarchic, built on small patterns
called schemas.  The schemas which compose the structural hierarchy of a
text describe the functions of the parts rather than their form
characteristics.  Relations between text parts, comparable to conjunctive
relations, are a prominent part of RST's definitional machinery.
.sp
sp
Recent work on RST has put it onto a new definitional basis.  This paper
describes the current status of descriptive RST, along with efforts to
create a constructive version for use as a basis for programming a text
planner.

%T Automatic Compilation of Logical Specifications into Efficient Programs
%A Donald Cohen
%R ISI/RS-86-175
%D November 1986
%I USC/Information Sciences Institute
%K AA08
%X We describe an automatic programmer, or "compiler" which accepts as input a
predicate calculus specification of a set to generate or a condition to test,
along with a description of the underlying representation of the data.  This
compiler searches a space of possible algorithms for the one that is expected
to be most efficient.  We describe the knowledge that is and is not available
to this compiler, and its corresponding  capabilities and limitations.  This
compiler is now regularly used to produce large programs.

%T Towards Explicit Integration of Knowledge in Expert Systems
%A Jack Mostow
%A Bill Swartout
%R ISI/RS-86-176
%D November 1986
%I USC/Information Sciences Institute
%K AI16 O04 AA01 AI01
%X The knowledge integration problem arises in rule-based expert systems when
two or more recommendations made by right-hand sides of rules must be
combined.  Current expert systems address this problem either by engineering
the rule set to avoid it, or by using a single integration technique built
into the interpreter, e.g., certainty factor combination.  We argue that
multiple techniques are needed and that their use -- and underlying
assumptions -- should be made explicit.  We identify some of the techniques
used in MYCIN's therapy selection algorithm to integrate the diverse goals it
attempts to satisfy, and suggest how knowledge of such techniques could be
used to support construction, explanation, and maintenance of expert systems.

%A M. Fanty
%T Context-free Parsing in Connectionist Networks
%I University of Rochester Computer Science Department
%D NOV 1985
%R TR 174
%K H03 O06
%X algorithm to convert any context-free grammar into a connectionist
network
.br
br
30 pages $1.25

%A D. H. Ballard
%T Interpolation Coding: A Representation for Numbers in Neural Nets
%I University of Rochester Computer Science Department
%D MAY 1986
%R TR 175
%K O04 H03 O06
%X  also discusses a method of combining evidence in neural nets
.br
br
30 pages $1.25

%A J. Aloimonos
%A A. Basu
%T Determining the Translation of a Rigidly Moving Surface Without
Correspondence
%I University of Rochester Computer Science Department
%D JAN 1986
%R TR176
%K AI06
%X deal withs three dimensional translation of a textured object and uses
four cameras
.br
br
20 pages, $1.00

%A J. Aloimonos
%A I. Rigoutsos
%T Determining the Three-Dimensional Motion of a Surface Patch Without
Correspondence, Under Perspective Projection: (i) Planar Surfaces
(ii) Curved Surfaces
%I University of Rochester Computer Science Department
%D DEC 1985
%R TR 178
%K AI06 stereo 3-D
%X 35 pages, $1.50

%A J. F. Allen
%A P. J. Hayest
%T A Common-Sense Theory of Time
%I University of Rochester Computer Science Department
%D FEB 1987
%R TR 180
%K AI16
%X 32 pages, $1.50
.br
br
.br
br
Includes discussion of an axiomatization of time subsuming Allen's
interval-based theory.

%A D. B. Sher
%T Optimal
Likelihood Generators for Edge Detection Under Gaussian Additive Noise
%I University of Rochester Computer Science Department
%D AUG 1986
%R TR 185
%K O04 AI06
%X 9 pages, $0.75

%A D. Baldwin
%T A Model for Automatic Design of Digital Circuits
%I University of Rochester Computer Science Department
%D JUL 1986
%R TR 188
%K AA04
%X 25 pages $1.25
.br
br
discusses partitioning of design tasks into algorithmic and knowledge-based
parts

%A J. A. Feldman
%T Neural Representation of Conceptual Knowledge
%I University of Rochester Computer Science Department
%D JUN 1986
%R TR 189
%K AI12 AI16
%X 35 pages, $1.50
.br
br
discusses holographic models

%A R. P. Loui
%T A Presumptive System of Defeasible Inference
%I University of Rochester Computer Science Department
%D MAY 1986
%R TR 190
%K AI15
%X 20 pages, $1.25

%A R. P. Loui
%T Real Rules of Inference: Acceptance and Non-Monotonicity in AI
%I University of Rochester Computer Science Department
%D SUMMER 1986
%R TR 191
%K AI15
%X 59 pages $2.25

%A D. Sher
%T Evidence Combination Using Likelihood Generators
%I University of Rochester Computer Science Department
%D JAN 1987
%R TR 192
%K O04 AI16
%X 27 pages, $1.25

%A A. Mukherjee
%T Self-calibration Strategies for Robot Manipulators
%I University of Rochester Computer Science Department
%D SEP 1986
%R TR 193
%K AI07
%X 105 pages, $3.75, PH. D. Thesis

%A L. Hartman
%T Generating Motor Behavior
%I University of Rochester Computer Science Department
%D OCT 1986
%R TR 195
%K AI09 naive physics
%X 31 pages $1.50
.br
br
planning in a block world under naive physics axiomitization

%A S. Hollbach
%T Tinker Toy Recognition From 2D Connectivity
%I University of Rochester Computer Science Department
%D OCT 1986
%R TR 196
%K AI06
%X 22 pages, $1.25

%A D. Sher
%T Advanced Likelihood Generators for Boundary Detection
%I University of Rochester Computer Science Department
%D JAN 1987
%R TR 197
%K AI06 O04
%X 50 pages, $2.00

%A I. Rigoutsis
%T Homotopies: A Panacea or Just Another Method?
%I University of Rochester Computer Science Department
%D DEC 1986
%R TR 201
%K AI06 O06
%X discusses applications of a method for solving non-linear equations
and its applicability to computer vision.

%A Marek W. Lugowski
%T Computational Metabolism
%I Indiana University Computer Science Department
%R 200
%K AI16 AI08 AI06 AI04 dynamical locally-coupled bottom-up architecture
%X A new architecture for programming of dynamical systems.  It consists of
a tessellation into processors which undergo pairwise swaps.  Processors
come in several types; each type recognizes certain other ones.  Recognition
events result either in processor state change or a 2-processor swap.  Model
combines cellular automaton and connectionist featrures with probabilistic
computation.  Intended application: representation and computation of metaphors.

%A Jacek Leszczylowski
%A David Schmidt
%T A Logic for Program Derivation and Verification
%R TR-CS-86-2
%I Kansas State University, Computing and Information Sciences Department
%K AI10 AI11 AA08

%A J. R. B. Cockett
%A J. Herrera
%T Prime Rule Based Methodologies Give Inadequate Control
%R CS-85-60
%I University of Tennessee - Knoxville, Computer Science Department
%K AI01 AA09

%A Janusz Kacprzyk
%A Andrzej Ziolkowski
%T Database Querying Schemes with Fuzzy Linguistic Quantifiers
%R CS-86-62
%I University of Tennessee - Knoxville, Computer Science Department
%K O04 AI02 AA09

%A Janusz Kacprzyk
%T Enhancing Algorithmic/Procedural "Human Consistency" of Control
Models by Using Some Representation of Common Sense Knowledge
%R CS-86-63
%I University of Tennessee - Knoxville, Computer Science Department
%K O04  AI13

%A Janusz Kacprzyk
%A Jerzy Holubiec
%T Towards a More Realistic Modeling of International Economic
Cooperation via Fuzzy Mathematical Programming and Cooperative Games
%R CS-86-64
%K AA11 O04
%I University of Tennessee - Knoxville, Computer Science Department

%A Janusz Kacprzyk
%A Cezary Iwanski
%T A Generalization of Discounted Multistage Decision Making and
Control Through Fuzzy Linguistic Quantifies: An Attempt to
Introduce Commonsense Knowledge
%R CS-86-66
%K O04 AI13
%I University of Tennessee - Knoxville, Computer Science Department

%A Stanley H. Smith
%A Mehmet Celenk
%T A New, Systematic Method for Color Image Analysis II. Computer
Implementation and Results
%R Tech. Rep. EE 8610
%I Stevens Institute of Technology, Electrical Engineering and
Computer Science Departments
%D MAR 1986
%K natural sceens AI06

%A Divyendu Sinha
%T Operations on Unimodal Possibility Distributions that Characterize
the Gray-Values of Images in the Fuzzy Settings Part I
%R Tech Rep. EECS 8614
%D MAY 1986
%I Stevens Institute of Technology, Electrical Engineering and
Computer Science Departments
%K AI06 O04

%A Divyendu Sinha
%T Operations on Unimodal Possibility Distributions that Characterize
the Gray-Values of Images in the Fuzzy Settings Part II
%R Tech Rep. EECS 8615
%D MAY 1986
%I Stevens Institute of Technology, Electrical Engineering and
Computer Science Departments
%K AI06 O04

%A Harrison E. Rowe
%A Jung G. Shin
%A Ta-Shing Chu
%T Radio Imaging of Launch Vehicles and Payloads
%I Stevens Institute of Technology, Electrical Engineering and
Computer Science Departments
%D JUN 1986
%R TECH. Rep. EECS 8617
%K AI06 AA27
%X discussed problems in receiving radio images such
as rain attenuation, clouds, etc.

%A John S. Conery
%T Closed Environments: Partitioned Memory Representation for Parallel Logic
Programming
%I Computer and InformationScience Department, University of Oregon
%C Eugene, Oregon
%R CIS-TR-86-02
%K AI11 H03

%A Kent A. Stevens
%A Daniel P. Lulich
%T Artifacts at the Limit of Resolution
%I Computer and Information Science Department, Univerisity of Oregon
%C Eugene, Oregon
%R CIS-TR-86-04
%K AI06 AA10 AA01
%X A visual illusion which appears at the limit of resolution is used to
investigate perceived artifacts of the convolution by Gaussian filters.
Evidence is provided that implicate the smallest size operator at the
retina and that suggest that the perceived shape of intensity changes
is influenced by artifacts induced by the operator.

%A Kent A. Stevens
%A Allen Brookes
%T Integrating Stereopsis with Monocular Interpretations of Planar Surfaces
%I Computer and Information Science Department, Univerisity of Oregon
%C Eugene, Oregon
%R CIS-TR-86-05
%K AI06 AA10 AA01

%A Kent A. Stevens
%A Allen Brookes
%T Probing Depth in Monocular Images
%I Computer and Information Science Department, Univerisity of Oregon
%C Eugene, Oregon
%R CIS-TR-86-06
%K AI06 AA10 AA01

%A Stephen Fickas
%T Automating the Analysis Process
%I Computer and Information Science Department, Univerisity of Oregon
%C Eugene, Oregon
%R CIS-TR-08
%K AA08
%X discusses the automation of requirements analysis

%A John Conery
%T Backward Execution in Nondeterministic AND-Parallel Systems
%I Computer and Information Science Department, Univerisity of Oregon
%C Eugene, Oregon
%R CIS-TR-86-09
%K H03 AI10

%A Kent A. Stephens
%A Allen Brooks
%T Detecting Structure by Symbolic Constructions on Tokens
%I Computer and Information Science Department, Univerisity of Oregon
%C Eugene, Oregon
%R CIS-TR-86-10
%K AI06
%X discusses the interpretation of dot patterns, comparison of feature
detection structure-detection and energy-summation systems.

%A Allen Brookes
%A Kent A. Stevens
%T The Analogy Between Stereo Depth and Brightness Contrast
%I Computer and Information Science Department, Univerisity of Oregon
%C Eugene, Oregon
%R CIS-TR-86-11
%K AI06 AI08 AA01 AA10

%A Virginia M. Lo
%A David Chen
%T Intelligent Scheduling in Distributed Computing Systems
%R CIS-TR-86-14
%I Computer and Information Science Department, Univerisity of Oregon
%C Eugene, Oregon
%K H03 AI01
%X applies expert system technology to task migration on distribution
systems including dealing with out of date system load tables

%A Kent A. Stevens
%A Allen Brookes
%T Theory of Depth Reconstruction in Stereopsis
%I Computer and Information Science Department, Univerisity of Oregon
%C Eugene, Oregon
%R CIS-TR-86-15
%K AI06 AI08 AA01  AA10

------------------------------

End of AIList Digest
********************